Subject: Re: bug#76974: 31.0.50; [wishlist] Add global key binding for tramp-revert-buffer-with-sudo

From: Sean Whitton <[email-masked]>
Date: Wed, 12 Mar 2025 21:13:28 +0800

Hello,

On Wed 12 Mar 2025 at 01:16pm +01, Michael Albinus via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> Welcome to our funny bikeshedding :-)
>
> '@' is already used for indication of remoteness, see mode-line-remote.
> And again, I prefer to use the same key in ctl-x-x-map and dired-mode-map.

Yeah, "@" seems most natural.

> Yes, I did. Neither tramp-revert-buffer-with-sudo nor
> tramp-revert-buffer-obtain-root are a perfect name. We don't know for
> sure, that the method will be "sudo", nor that the user will be
> "root". On my QNAP NAS, the root user is called "admin".

But "gain root" as a verb has the same meaning, even if the root user is
not named "root".

> And using a Tramp specific name for a global bound command doesn't
> seem to be proper as well.

I don't think that's a problem, myself.
Keeping "tramp-" might be helpful documentation.

-- 
Sean Whitton